require "util"
require "tightspot"

level =
{
  level_number = 10,
  time = 60 * 60 * 60,
  money = 10000,
  required_balance =
  {
    easy = 12000,
    normal = 46000,
    hard = 70000
  },
  center = {x = 0, y = 0},
  starting_land_prize = 10,
  price_increase = 2,
  area = {{-60, -60}, {60, 60}},
  recipes =
  {
    "iron-plate",
    "steel-plate",
    "copper-plate",
    "copper-cable",
    "iron-gear-wheel",
    "pipe",
    "electronic-circuit",
    "advanced-circuit",
    "plastic-bar",
    "lubricant",
    "sulfuric-acid",
    "sulfur",
    "processing-unit",
    "electric-engine-unit",
    "engine-unit",
    "stone-brick",
    "concrete",
    "basic-oil-processing",
    "advanced-oil-processing",
    "heavy-oil-cracking",
    "light-oil-cracking",
    "solid-fuel-from-heavy-oil",
    "solid-fuel-from-light-oil",
    "solid-fuel-from-petroleum-gas",
    "rocket-silo",
    "uranium-fuel-cell",
    "uranium-processing"
  },
  items =
  {
    "coal",
    "transport-belt",
    "underground-belt",
    "fast-transport-belt",
    "fast-underground-belt",
    "express-transport-belt",
    "express-underground-belt",
    "splitter",
    "fast-splitter",
    "express-splitter",
    "burner-inserter",
    "inserter",
    "long-handed-inserter",
    "fast-inserter",
    "filter-inserter",
    "stack-inserter",
    "stack-filter-inserter",
    "red-wire",
    "green-wire",
    "wooden-chest",
    "iron-chest",
    "stone-furnace",
    "steel-furnace",
    "electric-furnace",
    "offshore-pump",
    "pipe",
    "pipe-to-ground",
    "boiler",
    "steam-engine",
    "small-electric-pole",
    "medium-electric-pole",
    "big-electric-pole",
    "substation",
    "assembling-machine-1",
    "assembling-machine-2",
    "assembling-machine-3",
    "centrifuge",
    "electric-mining-drill",
    "burner-mining-drill",
    "pumpjack",
    "oil-refinery",
    "chemical-plant",
    "storage-tank",
    "speed-module",
    "effectivity-module",
    "productivity-module",
    "speed-module-2",
    "effectivity-module-2",
    "productivity-module-2",
    "speed-module-3",
    "effectivity-module-3",
    "productivity-module-3",
    "arithmetic-combinator",
    "decider-combinator",
    "constant-combinator",
    "power-switch",
    "pump",
    "beacon",
    "nuclear-reactor",
    "heat-exchanger",
    "heat-pipe",
    "steam-turbine",
    "uranium-235"
  },
  demand =
  {
    {
      item =   "rocket-silo",
      price = 48000
    }
  }
}

level.offers = {}
for _, item in ipairs(level.items) do
  level.offers[#level.offers + 1] = tightspot_make_offer(item)
end

script.on_init(function()
  global.story = story_init()
  global.tightspot = tightspot_init(level)
  game.players[1].surface.always_day = true
  game.players[1].force.disable_research()
end)

script.on_event(tightspot_events, function(event)
  story_update(global.story, event, "level-11")
end)
